## pivy 0.6.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.18...3.30)
project(pivy_cmake_setup CXX)

option(DISABLE_SWIG_WARNINGS "if on no swig warnings are shown" OFF)
option(PIVY_USE_QT6 "Prefer Qt6 over Qt5 if available" OFF)

find_package(SWIG 4.0.0 REQUIRED)
include(${SWIG_USE_FILE})

find_package(Coin CONFIG REQUIRED)
find_package(SoQt CONFIG)

if (SoQt_FOUND)
    if (PIVY_USE_QT6)
        find_package(Qt6 COMPONENTS Core Widgets Gui REQUIRED)
    else (PIVY_USE_QT6)
        find_package(Qt5 COMPONENTS Core Widgets Gui REQUIRED)
    endif (PIVY_USE_QT6)
endif()

find_package(Python REQUIRED COMPONENTS Interpreter Development)

if (NOT PIVY_Python_SITEARCH)
    SET(PIVY_Python_SITEARCH ${Python_SITEARCH})
endif()

if (Python_FOUND)
	MESSAGE(STATUS "Python_FOUND: TRUE")
	MESSAGE(STATUS "PIVY_Python_SITEARCH: ${PIVY_Python_SITEARCH}")
endif()

if (Coin_FOUND)
	MESSAGE(STATUS "COIN_FOUND: TRUE")
	MESSAGE(STATUS "COIN_INCLUDE_DIR: ${Coin_INCLUDE_DIR}")
	MESSAGE(STATUS "COIN_LIB_DIR: ${Coin_LIB_DIR}")
	MESSAGE(STATUS "COIN_VERSION: ${Coin_VERSION}")
endif()

if (SoQt_FOUND)
	MESSAGE(STATUS "SOQT_FOUND: True")
	MESSAGE(STATUS "SOQT_INCLUDE_DIRS: ${SoQt_INCLUDE_DIRS}")
	MESSAGE(STATUS "SOQT_LIB_DIRS: ${SoQt_LIBRARY_DIRS}")
	MESSAGE(STATUS "SOQT_VERSION: ${SoQt_VERSION}")
endif()

# SWIGIFY HEADERS
# doing this with the origin python functions

execute_process(COMMAND ${Python_EXECUTABLE} ${CMAKE_SOURCE_DIR}/install_helpers.py ${CMAKE_SOURCE_DIR} ${Coin_INCLUDE_DIR})


# copy the python module
include(TargetCopyFiles.cmake)

add_custom_target(pivy ALL)
add_copy_directory(pivy ${CMAKE_SOURCE_DIR}/pivy
    DESTINATION ${CMAKE_BINARY_DIR}/pivy
    PATTERN *.py
)

add_subdirectory(interfaces)

install(DIRECTORY
    ${CMAKE_BINARY_DIR}/pivy
    DESTINATION ${PIVY_Python_SITEARCH}
    FILES_MATCHING
    PATTERN "*.py"
    PATTERN "*.so"
    PATTERN "*.dylib"
    PATTERN "*.dll"
    PATTERN "*.pyd"
    )

=== SConstruct ===
###
# Copyright (c) 2002-2009 Kongsberg SIM
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#

import os, shutil
import distutils.sysconfig, os

SWIG_SUPPRESS_WARNINGS = "-w302,306,307,312,389,361,362,467,503,509,510"
includedir='/export/home/tamer/Projects/coin/bininclib/include/'

SOGUI = ('Qt', 'Xt', 'Gtk', 'Win')
MODULES = {'Coin'      : ('#pivy'+os.sep+'_coin',               'Inventor'),
           'SIMVoleon' : ('#pivy'+os.sep+'_simvoleon',          'VolumeViz'),
           'SoQt'      : ('#pivy'+os.sep+'gui'+os.sep+'_soqt',  'Qt'),
           'SoXt'      : ('#pivy'+os.sep+'gui'+os.sep+'_soxt',  'Win'),
           'SoGtk'     : ('#pivy'+os.sep+'gui'+os.sep+'_sogtk', 'Gtk'),
           'SoWin'     : ('#pivy'+os.sep+'gui'+os.sep+'_sowin', 'Win')}

def copy_and_swigify_header(target, source, env):
    """Copy the header files to the local include directories. Add an
    #include line at the beginning for the SWIG interface files."""

    pivy_header_include = "\n#ifdef __PIVY__\n%%include %s\n#endif\n"

    nr = -1
    for header in target:
        nr += 1
        file_h = str(header)
        file_i = str(source[nr])
        if not os.path.isfile(os.path.join(includedir, file_h)):
            target.remove(target[nr])
            source.remove(source[nr])
        else:
            shutil.copyfile(os.path.join(includedir, file_h), file_h)
            fd = open(str(header), 'r+')
            contents = fd.readlines()
            # insert right after #ifndef/#define header include protection
            contents.insert(2, pivy_header_include % (file_i))
            fd.seek(0)
            fd.writelines(contents)
            fd.close


bld_swigify = Builder(action = Action(copy_and_swigify_header,
                                      "Fixing header files for the following " +
                                      "swig interface files:\n\n${CHANGED_SOURCES}\n\n"),
                      suffix = '.h',
                      src_suffix = '.i')

dist_vars = distutils.sysconfig.get_config_vars('CC', 'CXX', 'OPT', 'BASECFLAGS',
                                                'CCSHARED', 'LDSHARED', 'SO')

for i in range(len(dist_vars)):
    if dist_vars[i] is None:
        dist_vars[i] = ""
(cc, cxx, opt, basecflags, ccshared, ldshared, so_ext) = dist_vars

env = Environment(ENV = os.environ,

                  CC=cxx,
                  CPPPATH=[distutils.sysconfig.get_python_inc()],
                  CPPFLAGS=basecflags + " " + opt,

                  SHLINK=ldshared,
                  SHLINKFLAGS=[],
                  SHLIBPREFIX="",
                  SHLIBSUFFIX=so_ext,

                  SWIGFLAGS = Split('-c++ -python  -includeall -modern -D__PIVY__') +
                  [SWIG_SUPPRESS_WARNINGS] + ['-I'+str(Dir('#')),
                                              '-I'+str(Dir('#fake_headers'))],
                  SWIGOUTDIR = 'pivy',

                  BUILDERS = {'SWIGIFY' : bld_swigify},
                  tools=['default', 'suncc'])

if str(Platform()) == 'win32':
    env['SHLIBSUFFIX'] = '.pyd'

swig_interfaces = {'Coin': [], 'Qt' : [], 'Win' : []}

# gather a list of all swig interface files in the header override subdirectories
swig_interfaces['Coin'] += Glob('#Inventor'+os.path.sep+'*.i')
for dirpath, dirnames, files in os.walk(str(Dir('#Inventor'))):
    for dirname in swig_interfaces:
        if dirname in dirnames:
            swig_interfaces[dirname] += Glob('#'+os.path.join(dirpath, dirname, '*.i'))
            dirnames.remove(dirname)
    for dirname in dirnames:
        swig_interfaces['Coin'] += Glob('#'+os.path.join(dirpath, dirname, '*.i'))

# print [str(name) for name in swig_interfaces['Coin']]

###
# Coin
#
coin_env = env.Clone()

coin_env.ParseConfig('pkg-config Coin --cflags --libs')
coin_env.Append(SWIGFLAGS = ['-I'+includedir])
coin_env.Append(SWIGFLAGS = ['-I'+str(Dir('#interfaces'))])

swigged_headers = coin_env.SWIGIFY([str(name)[:-2] for name in swig_interfaces['Coin']],
                                   [str(name)[:-2] for name in swig_interfaces['Coin']])

coin_wrapper = coin_env.CXXFile(['#interfaces/coin.i'])
coin_env.SharedLibrary('#pivy/_coin', coin_wrapper[0])
coin_env.Depends(coin_wrapper, swig_interfaces['Coin'])
coin_env.Depends(coin_wrapper, swigged_headers, )

###
# SoQt
#
soqt_env = env.Clone()

soqt_env.ParseConfig('pkg-config SoQt --cflags --libs')
soqt_env.Append(SWIGFLAGS = ['-I'+includedir])
soqt_env.Append(SWIGFLAGS = ['-I'+str(Dir('#interfaces'))])

swigged_qt_headers = soqt_env.SWIGIFY([str(name)[:-2] for name in swig_interfaces['Qt']],
                                      [str(name)[:-2] for name in swig_interfaces['Qt']])

soqt_wrapper = soqt_env.CXXFile(['#interfaces/soqt.i'])
soqt_env.SharedLibrary('#pivy/gui/_soqt', soqt_wrapper[0])
soqt_env.Depends(soqt_wrapper, swig_interfaces['Qt'])
soqt_env.Depends(soqt_wrapper, swigged_qt_headers)

=== SoPyScript/SConstruct ===
###
# Copyright (c) 2002-2009 Kongsberg SIM
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#

import os, sys
import distutils.sysconfig

SetOption('implicit_cache', 1)

opts = Variables('custom.py')
opts.AddVariables(BoolVariable('warnings', 'compilation with -Wall', 1),
                  BoolVariable('debug', 'debug output and symbols', 0))

env = Environment(ENV = os.environ, variables = opts)

Help(opts.GenerateHelpText(env))

if env['debug']:
    env.Append(CCFLAGS = (str(Platform()) == 'win32') and ['/Zi'] or ['-g'])
else:
    env.Append(CCFLAGS = (str(Platform()) == 'win32') and ['/O2'] or ['-O2'])

if str(Platform()) != 'win32' and env['warnings']:
    env.Append(CCFLAGS = '-Wall')

sopyscript_env = env.Clone()

# Use suncc on OpenSolaris
if str(Platform()) == 'sunos':
    sopyscript_env.Tool("suncc")

if str(Platform()) == 'win32':
    sopyscript_env.Append(CPPPATH = os.getenv("COINDIR") + os.sep + 'include')
    sopyscript_env.Append(CPPDEFINES = Split('COIN_DLL PYSCRIPT_DLL PYSCRIPT_EXPORTS'))
    sopyscript_env.Append(CPPFLAGS = Split('/wd4244 /wd4049'))
    sopyscript_env.Append(LIBPATH = sys.exec_prefix + os.sep + 'libs')
    sopyscript_env.Append(LINKFLAGS = os.getenv('COINDIR') + '\\lib\\coin4.lib')
else:
    sopyscript_env.ParseConfig('coin-config --cppflags --libs --ldflags')

sopyscript_env.Append(CPPPATH = ['.', distutils.sysconfig.get_python_inc()])
sopyscript_env.Append(LIBPATH = ['..', distutils.sysconfig.get_python_lib()])

sopyscript_env.Append(LINKFLAGS = distutils.sysconfig.get_config_vars().get('LINKFORSHARED', '').split() +
                                  distutils.sysconfig.get_config_vars().get('BLDLIBRARY', '').split())

sopyscript_env.Depends('SoPyScript.cpp', 'swigpyrun.h')
sopyscript_env.Command('swigpyrun.h', '',
                       'swig -python -external-runtime swigpyrun.h')
sopyscript_env.SharedLibrary('SoPyScript', 'SoPyScript.cpp')

=== interfaces/CMakeLists.txt ===
function(set_swig_properties NAME)
    set_property(SOURCE ${NAME} PROPERTY CPLUSPLUS ON)
    set_property(SOURCE ${NAME} PROPERTY SWIG_FLAGS "-includeall")
    set_property(SOURCE ${NAME} APPEND PROPERTY SWIG_FLAGS "-py3")
    set_property(SOURCE ${NAME} APPEND PROPERTY SWIG_FLAGS "-D__PIVY__")
    if(DISABLE_SWIG_WARNINGS)
        set_property(SOURCE ${NAME} APPEND PROPERTY SWIG_FLAGS
            "-w302,306,307,312,314,325,361,362,467,389,503,509,510")
    endif(DISABLE_SWIG_WARNINGS)
endfunction()


set_swig_properties(coin.i)

# remember: the order of the includes is important!
# swig needs the generated headers first (these headers are replacing the origin Inventor headers)
set_property(SOURCE coin.i PROPERTY INCLUDE_DIRECTORIES "${CMAKE_SOURCE_DIR}")
set_property(SOURCE coin.i APPEND PROPERTY INCLUDE_DIRECTORIES "${CMAKE_SOURCE_DIR}/fake_headers")
set_property(SOURCE coin.i APPEND PROPERTY INCLUDE_DIRECTORIES "${Coin_INCLUDE_DIR}")


swig_add_library(coin
    LANGUAGE python
    OUTPUT_DIR ${CMAKE_BINARY_DIR}/pivy
    SOURCES coin.i)

if (APPLE)
    set_target_properties(coin PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
elseif (MSVC)
    set_target_properties(coin PROPERTIES COMPILE_FLAGS "/bigobj")
elseif(WIN32)
    target_link_libraries(coin PUBLIC ${Python_LIBRARIES})
endif ()

target_include_directories(coin
    PUBLIC
    ${Coin_INCLUDE_DIR}
    ${Python_INCLUDE_DIRS}
    PRIVATE
    ${CMAKE_SOURCE_DIR}/interfaces
    )

target_link_libraries(coin PUBLIC Coin::Coin)
install(TARGETS coin DESTINATION ${PIVY_Python_SITEARCH}/pivy)

cmake_policy(SET CMP0068 NEW)  # Use RUNPATH instead of RPATH, default from CMake 3.9
set_target_properties(coin PROPERTIES BUILD_RPATH "$ORIGIN" INSTALL_RPATH "$ORIGIN")

if (SoQt_FOUND)

    set_swig_properties(soqt.i)

    # remember: the order of the includes is important!
    # swig needs the generated headers first (these headers are replacing the origin Inventor headers)
    set_property(SOURCE soqt.i PROPERTY INCLUDE_DIRECTORIES "${CMAKE_SOURCE_DIR}")
    set_property(SOURCE soqt.i APPEND PROPERTY INCLUDE_DIRECTORIES "${CMAKE_SOURCE_DIR}/fake_headers")
    set_property(SOURCE soqt.i APPEND PROPERTY INCLUDE_DIRECTORIES "${SoQt_INCLUDE_DIRS}")
    set_property(SOURCE soqt.i APPEND PROPERTY INCLUDE_DIRECTORIES "${Coin_INCLUDE_DIR}")


    swig_add_library(soqt
        LANGUAGE python
        OUTPUT_DIR ${CMAKE_BINARY_DIR}/pivy/gui
        SOURCES soqt.i)

    if (APPLE)
        set_target_properties(soqt PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
    elseif (MSVC)
        set_target_properties(coin PROPERTIES COMPILE_FLAGS "/bigobj")
    elseif (WIN32)
        target_link_libraries(soqt PUBLIC ${Python_LIBRARIES})
    endif ()

    if (PIVY_USE_QT6)
        set(QT_INC_DIRS ${Qt6Gui_INCLUDE_DIRS} ${Qt6Widgets_INCLUDE_DIRS})
    else ()
        set(QT_INC_DIRS ${Qt5Gui_INCLUDE_DIRS} ${Qt5Widgets_INCLUDE_DIRS})
    endif ()

    target_include_directories(soqt
        PUBLIC
        ${Coin_INCLUDE_DIR}
        ${SoQt_INCLUDE_DIRS}
        ${QT_INC_DIRS}
        ${Python_INCLUDE_DIRS}
        PRIVATE
        ${CMAKE_SOURCE_DIR}/interfaces
        )

    target_link_libraries(soqt PUBLIC SoQt::SoQt)
    install(TARGETS soqt DESTINATION ${PIVY_Python_SITEARCH}/pivy/gui)
endif()

=== examples/SoPyScript/SConstruct ===
###
# Copyright (c) 2002-2009 Kongsberg SIM
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#

import os, sys
import distutils.sysconfig

SetOption('implicit_cache', 1)

opts = Variables('custom.py')
opts.AddVariables(BoolVariable('warnings', 'compilation with -Wall', 1),
                  BoolVariable('debug', 'debug output and symbols', 0))

env = Environment(ENV = os.environ, options = opts)

Help(opts.GenerateHelpText(env))

if env['debug']:
    env.Append(CCFLAGS = (str(Platform()) == 'win32') and ['/Zi'] or ['-g'])
else:
    env.Append(CCFLAGS = (str(Platform()) == 'win32') and ['/O2'] or ['-O2'])

if str(Platform()) != 'win32' and env['warnings']:
    env.Append(CCFLAGS = '-Wall')

env.Repository('../../SoPyScript')
examin_env = env.Clone(CPPPATH = ['.', distutils.sysconfig.get_python_inc()])

# Use suncc on OpenSolaris
if str(Platform()) == 'sunos':
    examin_env.Tool("suncc")

if str(Platform()) == 'win32':
    examin_env.Append(CPPPATH = os.getenv("COINDIR") + os.sep + 'include')
    examin_env.Append(CPPDEFINES = Split('COIN_DLL SOWIN_DLL'))
    examin_env.Append(CPPFLAGS = Split('/MD /wd4244 /wd4049'))
    examin_env.Append(LIBPATH = sys.exec_prefix + os.sep + 'libs')
    examin_env.Append(LINKFLAGS = [os.getenv('COINDIR') + '\\lib\\coin4.lib ',
                                   os.getenv('COINDIR') + '\\lib\\sowin1.lib'])
else:
    examin_env.ParseConfig('soqt-config --cppflags --libs --ldflags')

examin_env.Append(LINKFLAGS = distutils.sysconfig.get_config_vars().get('LINKFORSHARED', '').split() +
                              distutils.sysconfig.get_config_vars().get('BLDLIBRARY', '').split())

examin_env.Depends('SoPyScript.cpp', 'swigpyrun.h')
examin_env.Command('swigpyrun.h', '',
                   'swig -python -external-runtime swigpyrun.h')
examin_env.Program('examin', Split((str(Platform()) == 'win32' and 'sowinexamin.cpp' or 'soqtexamin.cpp') + ' SoPyScript.cpp'))

=== debian/changelog ===
pivy (0.6.10-3) unstable; urgency=medium

  * Team upload.
  * Fix SyntaxWarning (Closes: #1085777)
  * Add debian/clean (Closes: #1048308)
  * Bump Qt4 -> Qt5 in description

 -- Alexandre Detiste <tchet@debian.org>  Wed, 27 Aug 2025 17:25:13 +0200

pivy (0.6.10-2) unstable; urgency=medium

  * Team upload.
  * Source only upload to rebuild against soqt.

 -- Anton Gladky <gladk@debian.org>  Tue, 01 Apr 2025 20:06:53 +0200

pivy (0.6.10-1) unstable; urgency=medium

  * Team upload.
  * [24296d3] New upstream version 0.6.10
  * [42cdc1f] Set Standards-Version to 4.7.0

 -- Anton Gladky <gladk@debian.org>  Mon, 31 Mar 2025 06:57:04 +0200

=== debian/control ===
Source: pivy
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Teemu Ikonen <tpikonen@gmail.com>,
           Kurt Kremitzki <kkremitzki@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all-dbg,
               python3-all-dev,
               python3-numpy,
               python3-pyside2.qtcore,
               python3-pyside2.qtgui,
               python3-pyside2.qtopengl,
               python3-pyside2.qtwidgets,
               python3-setuptools,
               libsoqt520-dev,
               libcoin-dev,
               libsimage-dev,
               swig,
               cmake,
               qt5-qmake,
               qtbase5-dev,
               qttools5-dev-tools
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/pivy
Vcs-Git: https://salsa.debian.org/science-team/pivy.git
Homepage: https://github.com/coin3d/pivy

Package: python3-pivy
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-pyside2.qtcore,
         python3-pyside2.qtgui,
         python3-pyside2.qtopengl,
         python3-pyside2.qtwidgets,
         shiboken2
Provides: ${python3:Provides}
Description: Coin binding for Python 3
 Pivy is a Coin binding for Python. Coin is a high-level 3D graphics library
 with a C++ API. Coin uses scene-graph data structures to render real-time
 graphics suitable for mostly all kinds of scientific and engineering
 visualization applications.
 Pivy allows:
 .
    * Development of Coin applications and extensions in Python
    * Interactive modification of Coin programs from within the
      Python interpreter at runtime
    * Incorporation of Scripting Nodes into the scene graph which
      are capable of executing Python code and callbacks
    * Use of Coin within PyQt5 applications with the quarter module
 .
 This package contains the Python 3 bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export PYBUILD_NAME=pivy
export PYBUILD_SYSTEM=distutils
export PYBUILD_INTERPRETERS=python{version} python{version}-dbg
export PYBUILD_DISABLE=test
export PYBUILD_BEFORE_BUILD=find {dir} -name soqt_wrap.cpp -delete; find {dir} -name coin_wrap.cpp -delete
export PYBUILD_BEFORE_INSTALL=find {dir} -name soqt_wrap.cpp -delete; find {dir} -name coin_wrap.cpp -delete
export CMAKE_PREFIX_PATH=/usr/lib/${DEB_HOST_MULTIARCH}/cmake
export QT_SELECT=qt5

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_configure:
	cd fake_headers && touch cstddef cstdarg cassert
	dh_auto_configure

override_dh_installexamples:
	# Don't install non-working examples
	find -name Sc21Viewer.py -delete
	find -name 06.3.Complex3DText_not_working.py -delete
	dh_installexamples

override_dh_missing-arch:
	dh_missing --fail-missing

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/ \
https://github.com/coin3d/pivy/tags .*/(\d.*).*(?<!_pre)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
